Subject: bug#39903: 28.0.50; Feature request: another filter for Package Menu

From: Stefan Kangas <[email-masked]>
Date: Thu, 05 Mar 2020 15:51:50 +0100

Pieter van Oostrum <[email-masked]> writes:

> This is a request for a new filter in Package Menu.
>
> Motivation: The command `package-menu-mark-upgrades' in the "*Packages*"
> buffer marks all packages that have new versions. Both the new versions
> are marked for installation (I) and the old versions for deletion (D).
>
> However, it is not so easy to inspect which packages will be
> affected. Currently the only simple ways are to do an `isearch' in the
> "*Packages*" buffer for "^[^ ]", or to do an `occur' for the same
> regexp. The latter gives an overview of all packages involved, but
> requires an indirection step to get into the "*Packages*" buffer, for
> example to unmark a package.
>
> The attached file adds a new command to filter the "*Packages*"
> buffer to show only the packages with a non-empty mark, i.e. the same as
> the above `occur' command would show, but then without the extra
> indirection.
>
> My proposal is to bind it to "/m", and to add a menu entry.

This looks useful.  Could you write this up as a patch instead?
Preferably also with a Changelog entry as described in the CONTRIBUTE
file.  We should also add this new command to the relevant NEWS entry,
and the user manual.

Thanks in advance.

Best regards,
Stefan Kangas